#ifndef _DBG_APPLIB_
#define _DBG_APPLIB_

/*=========================================================================
FILE:  Dbg_AppLib.h

===========================================================================*/
/*====================================================================================

                        EDIT HISTORY FOR MODULE

when       who           what, where, why
--------   ---           -----------------------------------------------------------
18/07/03   aizawa@ISB    [PTX633]
                          DEBUG—pAppLib
====================================================================================*/
#include "common.h"
#include "AEE.h"
#include "AEEWeb.h"
//#include "KCCS_MC_Defines.h"
//#include "MobileShopCustomize_out.h"
//#include "MobileShopCustomize.h"

//#define  BYTE     unsigned char
//#define  HFWD     unsigned short
//AECHAR   brwz_icons14[100][100];
//#define  ST_BREW_STARTAPP  unsigned long
//#define  BREW_STARTID_MSHOP1  1

static int BrewLibCodeNative2AEChar(AECHAR * szMark, BYTE * szEmoji)
{
   AECHAR   szTmp[20];
   byte     szTmp2[10];

   WSTRCPY( szTmp, szMark );
   STRCPY( szTmp2, szEmoji );
   return 1;
}

static int BrewSysModePutIPAddr(BYTE *ip_addr)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutRadiusID(char *rid)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutRadiusPwd(char *radius_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutUrl(char *url)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetIPAddr(BYTE *ip_addr)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetRadiusID(char *rid)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetRadiusPwd(char *radius_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetUrl(char *url)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutSubID(char *subid)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutAuthIP(BYTE *auth_ip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutDLIP1(BYTE *dlip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutDLIP2(BYTE *dlip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutLocIP(byte *locip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutBrewID(char *brew_id)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutBrewPwd(char *brew_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutNetID(char *net_id)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutNetPwd(char *net_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModePutAuthUrl(char * auth_url)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetSubID(char *subid)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetAuthIP(BYTE *auth_ip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetDLIP1(BYTE *dlip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetDLIP2(BYTE *dlip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetLocIP(BYTE *locip)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetBrewID(char *brew_id)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetBrewPwd(char *brew_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetNetID(char *net_id)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetNetPwd(char *net_pwd)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static int BrewSysModeGetAuthUrl(char *auth_url)
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static void BrewSysModeGetMailID(char *mail_ID)
{
}

static void  OEMSock_WriteAuthInfo(boolean flag, uint8 user_id_length, char* user_id, uint8 password_length, char* password)
{
}

static int ApiProReadDialNum ( BYTE *DialNum, HFWD N )
{
   int      Ret;

   Ret = 0;
   return Ret;
}

static void BrewCtrlRestart(void* pFn, void* pUserData)
{
}



#endif
